QwtColumnSymbol(3)

NAME
QwtColumnSymbol -

SYNOPSIS

#include <qwt_column_symbol.h>

  Public Types
enum FrameStyle { NoFrame, Plain, Raised }
enum Style { NoStyle = -1, Box, UserStyle = 1000 }

  Public Member Functions
QwtColumnSymbol (Style=NoStyle)
virtual ~QwtColumnSymbol ()
virtual void draw (QPainter *, const QwtColumnRect &) const
FrameStyle frameStyle () const
int lineWidth () const
const QPalette & palette () const
void setFrameStyle (FrameStyle style)
void setLineWidth (int width)
void setPalette (const QPalette &)
void setStyle (Style)
Style style () const

  Protected Member Functions
void drawBox (QPainter *, const QwtColumnRect &) const

Detailed Description

A drawing primitive for columns.

Member Enumeration Documentation

  enum QwtColumnSymbol::FrameStyle
Frame Style used in Box style().

See also:
    Style, setFrameStyle(), frameStyle(), setStyle(), setPalette()

Enumerator:

NoFrame
    No frame.

Plain
    A plain frame style.

Raised
    A raised frame style.

  enum QwtColumnSymbol::Style
Style

See also:
    setStyle(), style()

Enumerator:

NoStyle
    No Style, the symbol draws nothing.

Box The column is painted with a frame depending on the frameStyle() and lineWidth() using the palette().

UserStyle
    Styles >= QwtColumnSymbol::UserStyle are reserved for derived classes of QwtColumnSymbol that overload draw() with additional application specific symbol types.

Constructor & Destructor Documentation

  QwtColumnSymbol::QwtColumnSymbol (Stylestyle = NoStyle)
Constructor

Parameters:
    style Style of the symbol

See also:
    setStyle(), style(), Style

Member Function Documentation

  void QwtColumnSymbol::draw (QPainter *painter, const QwtColumnRect &rect) const [virtual]
Draw the symbol depending on its style.

Parameters:
    painter Painter
    rect Directed rectangle

See also:
    drawBox()

  void QwtColumnSymbol::drawBox (QPainter *painter, const QwtColumnRect &rect) const [protected]
Draw the symbol when it is in Box style.

Parameters:
    painter Painter
    rect Directed rectangle

See also:
    draw()

  QwtColumnSymbol::FrameStyle QwtColumnSymbol::frameStyle () const
Returns:
    Current frame style, that is used for the Box style.

See also:
    setFrameStyle(), lineWidth(), setStyle()

  int QwtColumnSymbol::lineWidth () const
Returns:
    Line width of the frame, that is used for the Box style.

See also:
    setLineWidth(), frameStyle(), setStyle()

  const QPalette & QwtColumnSymbol::palette () const
Returns:
    Current palette

See also:
    setPalette()

  void QwtColumnSymbol::setFrameStyle (FrameStyleframeStyle)
Set the frame, that is used for the Box style.

Parameters:
    frameStyle Frame style

See also:
    frameStyle(), setLineWidth(), setStyle()

  void QwtColumnSymbol::setLineWidth (intwidth)
Set the line width of the frame, that is used for the Box style.

Parameters:
    width Width

See also:
    lineWidth(), setFrameStyle()

  void QwtColumnSymbol::setPalette (const QPalette &palette)
Assign a palette for the symbol

Parameters:
    palette Palette

See also:
    palette(), setStyle()

  void QwtColumnSymbol::setStyle (Stylestyle)
Specify the symbol style

Parameters:
    style Style

See also:
    style(), setPalette()

  QwtColumnSymbol::Style QwtColumnSymbol::style () const
Returns:
    Current symbol style

See also:
    setStyle()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.